package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MallGoodsTag;

/**
 * 商品标签Service接口
 *
 * @author ruoyi
 * @date 2022-06-28
 */
public interface IMallGoodsTagService
{
    /**
     * 查询商品标签
     *
     * @param id 商品标签主键
     * @return 商品标签
     */
    public MallGoodsTag selectMallGoodsTagById(Integer id);

    /**
     * 查询商品标签列表
     *
     * @param mallGoodsTag 商品标签
     * @return 商品标签集合
     */
    public List<MallGoodsTag> selectMallGoodsTagList(MallGoodsTag mallGoodsTag);

    /**
     * 查询商品标签列表

     * @return 商品标签集合
     */
    public List<MallGoodsTag> getGoodsTags();

    /**
     * 新增商品标签
     *
     * @param mallGoodsTag 商品标签
     * @return 结果
     */
    public int insertMallGoodsTag(MallGoodsTag mallGoodsTag);

    /**
     * 修改商品标签
     *
     * @param mallGoodsTag 商品标签
     * @return 结果
     */
    public int updateMallGoodsTag(MallGoodsTag mallGoodsTag);

    /**
     * 批量删除商品标签
     *
     * @param ids 需要删除的商品标签主键集合
     * @return 结果
     */
    public int deleteMallGoodsTagByIds(Integer[] ids);

    /**
     * 删除商品标签信息
     *
     * @param id 商品标签主键
     * @return 结果
     */
    public int deleteMallGoodsTagById(Integer id);
}
